{% extends 'partials/base.html.twig' %}

{% block content %}
	{% set categories = [] %}
	{% set types = [] %}
	{% set statuses = [] %}
	{% set fields = [] %}
	{% for component in page.header.custom.components %}
		{% set p = pages.find(component.page) %}

		{% for k, v in p.taxonomy.category %}
			{% set categories = categories|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.type %}
			{% set types = types|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.status %}
			{% set statuses = statuses|merge([v]) %}
		{% endfor %}
		
		{% for k, v in p.taxonomy.field %}
			{% set fields = fields|merge([v]) %}
		{% endfor %}
	{% endfor %}
	{% set categories = categories|array_unique %}
	{% set types = types|array_unique %}
	{% set statuses = statuses|array_unique %}
	{% set fields = fields|array_unique %}
	<div class="page_block">
		<div class="page_menu">
			{% include('/partials/page_header_logo.html.twig') with {'black': true} %}
			{% if page.header.custom.showLeftMenu %}
			<div class="side_menu">
				<h2 class="title">
					{{'JOBTECH.CONTENT.FIELDS_OF_FOCUS'|t}}
				</h2>
				<div>
					{% for field in fields %}
						<div class="menu_item" onclick="setFieldFilter({{loop.index0}}, {{json_encode(fields)}})">
							<span>{{field}}</span>
						</div>
					{% endfor %}
				</div>
			</div>
			{% endif %}
		</div>
		<div class="page_site_content">
			<div class="block_content">
				{% include('/partials/page_header_menu.html.twig') with {'black': true} %}
				<div class="component_list_header text_normal">
					{{page.header.custom.text|markdown}}
				</div>
				<div class="component_list_filter">
					<div class="title">{{'JOBTECH.CONTENT.FILTER'|t}}</div>
					{% include('/partials/filter_tags.html.twig') with {'tags': categories, 'name': 'JOBTECH.CONTENT.CATEGORY'|t} %}
					{% include('/partials/filter_tags.html.twig') with {'tags': types, 'name': 'JOBTECH.CONTENT.TYPE'|t} %}
					{% include('/partials/filter_tags.html.twig') with {'tags': statuses, 'name': 'JOBTECH.CONTENT.STATUS'|t} %}
				</div>
				<div id="component_list">
					{% for component in page.header.custom.components %}
						{% set p = pages.find(component.page) %}
						{% include('/partials/component_short.html.twig') with {'page': p, 'url': component.page} %}
					{% endfor %}
				</div>
			</div>
		</div>
	</div>
	
{% endblock %}
